import request from '@/utils/request';

/**
 * 曲谱分类列表
 */
export const api_musicTagTree = () => {
  return request.get('/edu-app/musicTag/tree');
};
/**
 * 曲谱教材列表分页
 */
export const api_musicSheetCategoriesPage = (params: any) => {
  return request.post('/edu-app/musicSheetCategories/page', {
    data: params
  });
};
/**
 * 乐器列表
 */
export const api_subjectList = () => {
  return request.post('/edu-app/subject/list');
};
/**
 * 曲谱列表分页
 */
export const api_musicSheetPage = (params: any) => {
  return request.post('/edu-app/musicSheet/page', {
    data: params
  });
};

/**
 * 查询曲谱收藏状态
 */
export const api_materialFavoriteStatus = (params: any) => {
  return request.post('/edu-app/material/favoriteStatus', {
    data: params
  });
};
/**
 * 曲谱收藏
 */
export const api_materialFavorite = (params: any) => {
  return request.post('/edu-app/material/favorite', {
    data: params
  });
};
